using Plus.Communication.Packets.Outgoing.Rooms.Notifications;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.HabboHotel.Rooms.Chat.Commands.User
{
    class StopQuickPollCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get { return "command_stop_quick_poll"; }
        }

        public string Parameters
        {
            get { return ""; }
        }

        public string Description
        {
            get { return "Stop le vote!"; }
        }

        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
            if (!Room.CheckRights(Session, false, true))
                return;

            if (Room.QuickPoll == null)
            {

                Session.SendMessage(new BubbleNotificationComposer("Oops. Il n'y a pas de vote.", "notif"));
                return;

            }
            Room.QuickPoll.Stop();

            Session.SendMessage(new BubbleNotificationComposer("Le vote est arrêté !", "notif"));
        }
    }
}